Bug 466114 - Passing live_ram option to livecd stops the livecd from booting
Passing live_ram option to livecd stops the livecd from booting
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 09:57 EDT by Nathanael Noblet
Modified: 2009-07-21 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 14:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathanael Noblet 2008-10-08 09:57:23 EDT
Description of problem:
When one passes 'live_ram' (to run the system entirely from RAM and allowing the ejection of media during testing). The system is unable to boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora 10 Beta as of Oct 1, add live_ram to the boot options
2.
3.
  
Actual results:
Done copying live image to RAM.
eject: did not find a device /dev/root in /sys/block
Bug in initramfs /init detected. Dropping to a shell. Good luck!

sbin/real-init: line 7: plymouth: command not found



Expected results:
A booted live cd running from a RAM image instead of cd/dvd media.

Additional info:
Comment 1 Nathanael Noblet 2008-10-08 09:59:12 EDT
I was told on the ml that live_ram was likely going away, which I thought was a shame, I had used the F9 live cd to fix a pretty buggered system just a few months ago where I needed to run from ram to exclude other issues, but still be able to use the cdrom. Is there a reason for it being dropped?
Comment 2 Jeremy Katz 2008-10-10 15:26:22 EDT
It's continuing to be there, it's just not something that's advertised and honestly very rarely used.

But fixed up in mkinitrd git, will be in the next build of mkinitrd (which we'll be sure to get one before the preview release)
Comment 3 Bug Zapper 2008-11-25 22:39:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jeremy Katz 2009-07-21 14:31:11 EDT
Closing out bug that's been in MODIFIED for a while.

Note You need to log in before you can comment on or make changes to this bug.